<?
session_start();
$r=rand(1000,9999);

for($i=0;$i < 4;$i++)//разбиваем секретный код на массив чисел
	$arr[$i]=substr($r,$i,1);

$im=imagecreate(60,20);//создаем картинку
imagefill($im, 0, 0, imagecolorallocatealpha($im,0, 0, 0, 127));
$a=0;
for($i=0;$i < 4;$i++)//наносим код на картинку
{
  $color=imagecolorallocate($im,rand(0,255),rand(0,255),rand(0,255));
  imagestring($im,rand(3,9),$a+=10,rand(0,1),$arr[$i],$color);
$cod.=  $arr[$i];
}

$_SESSION['captcha_keystring'] = $cod;
header('Content-type: image/png');
imagepng($im);

?>